''' Ne pas editer ce fichier !
	Voir le fichier de configuration view_rates.cfg '''
	
	# ~~ Imports ~~
import es, popuplib
	# ~~~~~~~~~~~
	
	# ~~ Variable Script & Version ~~
__version__ = '1.0'
es.ServerVar("view_rates", __version__).makepublic()
	# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	# ~~ Infos EventScripts ~~
info = es.AddonInfo()
info.name = "view_rates"
info.version = __version__
info.author = "TiTi"
info.url = "http://csswarner.easyforum.fr"
	# ~~~~~~~~~~~~~~~~~~~~~~~~~
	
commande_rate = es.ServerVar("commande_rate_cfg")
affichage_connect = es.ServerVar("affichage_connect_cfg")

def load():
	es.log("Chargement du script view_rate ...")
	es.server.cmd("es_xmexec ../addons/eventscripts/view_rates/view_rates.cfg")
	es.msg("#multi", "#default[#lightgreenview_rates#default] #greenScript Load")

def player_say(e):
	if e['text'] == commande_rate:
		MenuRates(e["userid"])

def MenuRates(userid):
	menu_rates = popuplib.create("mon_menu")
	
	global menu_rates

	menu_rates = popuplib.easymenu("menu_rates", None, menu_rates_choix)
	menu_rates.settitle("Voir les rates de :")
	
	playerlist = es.getUseridList()
	
	for playerid in playerlist:
		menu_rates.addoption(playerid, es.getplayername(playerid))
	menu_rates.send(userid)

def menu_rates_choix(userid, choix, popupnom):
	pseudo = es.getplayername(choix)
	rate = es.getclientvar (choix, "rate")
	cmdrate = es.getclientvar (choix, "cl_cmdrate")
	updaterate = es.getclientvar (choix, "cl_updaterate")
	es.tell(userid, "#multi", "#green[Rate] #lightgreen%s #green=> #defaultrate #green: #lightgreen%s#green, #defaultcl_cmdrate #green: #lightgreen%s#green, #defaultcl_updaterate #green: #lightgreen%s#green."%(pseudo, rate, cmdrate, updaterate))

def player_activate(e):
	if (affichage_connect == 1):
		userid = e["userid"]
		pseudo = es.getplayername(userid)
		rate = es.getclientvar (userid, "rate")
		cmdrate = es.getclientvar (userid, "cl_cmdrate")
		updaterate = es.getclientvar (userid, "cl_updaterate")
		es.msg("#multi", "#green[Rate] #lightgreen%s #green=> #defaultrate #green: #lightgreen%s#green, #defaultcl_cmdrate #green: #lightgreen%s#green, #defaultcl_updaterate #green: #lightgreen%s#green."%(pseudo, rate, cmdrate, updaterate))

def unload():
	es.log("Dechargement du script view_player ...")
	menu_rates.delete()
	es.msg("#multi", "#default[#lightgreenview_rates#default] #greenScript Unload")